Subject: bug#15905: 24.3; url-copy-file sometimes silently downloads garbage or incomplete file

From: Live System User <[email-masked]>
Date: Tue, 19 Jan 2016 10:06:12 -0500

Lars Ingebrigtsen <[email-masked]> writes:

> Noam Postavsky <[email-masked]> writes:
>
>>> this may be something about Mac OS X specifically.
>>
>> It's only gnutls-cli specific: I built Emacs 24.3 on Debian
>> --without-gnutls and got similar results; it also seemed like Emacs
>> was getting stuck in some CPU burning loop, I eventually C-g'd out of
>> it.
>>
>> gnutls-cli version 3.2.12
>
> I'm not sure this is worth fixing -- perhaps the best would be to remove
> the support for external TLS programs.  Especially since they don't hook
> into the Network Security Manager.  A couple of the "blocking" bug
> reports are about that...

Please don't remove support for external TLS progams as that would
prevent one from using facilities like OpenSSL.

thanks.